List releases
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"semanticVersion": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"bucket": "<string>",
"key": "<string>"
},
"changeRequests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
]
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Release
List releases
Retrieve a paginated list of releases for a project, with optional filtering by status and search.
GET
/
api
/
projects
/
{projectId}
/
releases
List releases
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project unique identifier
Query Parameters
Search query to filter releases by version or name
Filter releases by status
Available options:
draft, published, completed, null Current page
Number of items per page
Was this page helpful?
⌘I